<?php
/**
 * Template part for displaying site footer content
 *
 * @package errigal
 * @since 1.2.0
 */

defined( 'ABSPATH' ) || exit;

use Errigal\Constant\Errigal_Footer_Hook as Footer_Hook;
use Errigal\Shared\Errigal_Validator as Validator;

/**
 * Filters site footer content template part slug.
 *
 * @since 1.2.0
 *
 * @param string $site_footer_content_template_part_slug Slug name for site footer content.
 */
$site_footer_content_template_part_slug = apply_filters(
	Footer_Hook::SITE_FOOTER_CONTENT_TEMPLATE_PART_SLUG,
	'template-parts/component/footer/site-footer/copyright-text'
);

if ( ! Validator::is_non_empty_string( $site_footer_content_template_part_slug ) ) {
	return;
}

get_template_part( $site_footer_content_template_part_slug );
